(cl:defpackage :std.hashset
  (:use)
  ;; TODO: idk about the :hs one
  (:local-nicknames (:% :std.internal)))
(cl:in-package :std.hashset)

;; Included just because.
;; I have never used it because you can just use hashtable
;; Maybe someone else can comment on it.
(%:fn hashset hash-set:make-hash-set)
(%:fn = hash-set:hs-equal)
(%:fn copy hash-set:hs-copy)
(%:fn to-list hash-set:hs-to-list) ; to LIST or maybe ALIST?
(%:fn from-list hash-set:list-to-hs)
(%:fn count hash-set:hs-count)
(%:fn empty? hash-set:hs-emptyp)
(%:fn contains? hash-set:hs-memberp)
(%:macro iterate hash-set:dohashset)
(%:fn map hash-set:hs-map)
(%:fn filter hash-set:hs-filter)
(%:fn add hash-set:hs-insert)
(%:fn add! hash-set:hs-ninsert)
(%:fn remove hash-set:hs-remove)
(%:fn remove-common hash-set:hs-symmetric-difference)
(%:fn remove! hash-set:hs-nremove)
(%:fn remove-if hash-set:hs-remove-if)
(%:fn remove-if! hash-set:hs-nremove-if)
(%:fn any? hash-set:hs-any)
(%:fn every? hash-set:hs-all)
(%:fn concatenate hash-set:hs-union)
(%:fn concatenate! hash-set:hs-nunion)
(%:fn intersection hash-set:hs-intersection)
(%:fn intersection! hash-set:hs-nintersection)
(%:fn difference hash-set:hs-difference)
(%:fn difference! hash-set:hs-ndifference)
(%:fn subset-of? hash-set:hs-subsetp)
(%:fn subset-proper-of? hash-set:hs-proper-subsetp)
(%:fn superset-of? hash-set:hs-supersetp)
(%:fn superset-proper-of? hash-set:hs-proper-supersetp)
(%:fn powerset-of? hash-set:hs-powerset)
(%:fn cartesian-product hash-set:hs-cartesian-product)
